> Link Configuration Mode Commands
> The Link configuration mode defines the MTP3 link parameters for a specific link in a linkset of an SS7 routing domain instance.
> Important: The commands or keywords/variables that are available are dependent on platform type, product version, and installed license(s).
> arbitration
> This command configures link arbitration.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> arbitration { active | passive }
> no arbitration
> active
> The SSCOP initiates the transmission of PDUs.
> passive
> The SSCOP waits to receive PDUs.
> no
> Removes the arbitration configuration for the link.
> Usage
> Sets the configuration to initiate transmission of PDUs.
> Example
> arbitration active
> end
> Exits the current mode and returns to the Exec Mode.
> Product
> All
> Privilege
> Security Administrator, Administrator
> Syntax
> end
> Usage
> Change the mode back to the Exec Mode.
> exit
> Exits the current mode and returns to the previous mode.
> Product
> All
> Privilege
> Security Administrator, Administrator
> Syntax
> exit
> Usage
> Returns to the previous mode.
> mtp2-lssu-len
> This command sets the length of the link status signal unit (LSSU) which carries link status information used to manage link alignment and indicate the status of the signaling points to each other.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp2-lssu-len #_octets
> default mtp2-lssu-len
> default
> Using this keyword with the command resets the length to the default of 1 octet.
> #_octets
> Sets the number of octets for the length of the LSSU.
> #_octets: Must be either 1 or 2.
> Usage
> Use this command to define the maximum amount of link status information that is to be shared between signaling points.
> Example S
> et the LSSU length to 2 octets - the maximum length.
> mtp2-lssu-len 2
> lmtp3-discard-priority
> Configure MTP3 message discard priority.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-discard-priority priority
> default mtp3-discard-priority
> default
> Resets the priority to the default value.
> priority
> priority: must be an integer between 0 and 3.
> Default is 0.
> Usage
> Use this command to manage MTP3 messaging.
> Example
> mtp3-discard-priority 2
> mtp3-max-slt-try
> Configure maximum number of times to retry SLT (signaling link test).
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-max-slt-try retries
> default mtp3-max-slt-try
> default
> Resets the number of retries to the default value.
> retries
> retries: must be an integer between 1 to 65535.
> Default is 10.
> Usage
> Use this command to troubleshoot MTP3 link mismatch.
> Example
> mtp3-max-slt-try 35
> mtp3-msg-priority
> Configures the priority for sending MTP3 management messages.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-msg-priority priority
> default mtp3-msg-priority
> default
> Resets the number of priority to the default value.
> priority
> priority: must be an integer from 0 to .
> Default is 0.
> Usage
> Use this command to set the priority for sending MTP3 management messages.
> Example
> mtp3-msg-priority 3
> mtp3-msg-size
> Configures the size of messages from layer 3 to layer 2..
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-msg-size size
> default mtp3-msg-size
> default
> Resets the the size to the default value which is 4096 (for q.2140) or 272 (for MTP2)
> size
> size: must be an integer from 1 to 4096.
> Usage
> Use this command to set the maximum message size, in bytes.
> Example
> mtp3-msg-size 4096
> mtp3-p1-qlen
> Configure the size for the MTP3 p1 queue length.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-p1-qlen size
> default mtp3-p1-qlen
> default
> Resets the number of size of the priority 1 queue to the default value.
> size
> size: integer from 1 to 65535. Size should be less than MTP3 p2 qlen and p3 qlen.
> Default is 1024.
> Usage
> Use this command to configure the queue length threshold for raising the congestion priority to level 1.
> Example
> mtp3-p1-qlen 128
> mtp3-p2-qlen
> Configure the size of the priority 2 queue.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-p2-qlen size
> default mtp3-p2-qlen
> default
> Resets the number of size of the priority 2 queue to the default value.
> size
> size: integer from 1 to 65535. Size should be less than MTP3 p3 qlen and greater than p1 qlen.
> Default is 1024.
> Usage
> Use this command to configure the queue length threshold for raising the congestion priority to level 2.
> Example
> mtp3-p2-qlen 256
> mtp3-p3-qlen
> Configure the size of the priority 3 queue.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-p3-qlen size
> default mtp3-p3-qlen
> default
> Resets the number of size of the priority 3 queue to the default value.
> size
> size: integer from 1 to 65535. Size should be greater than MTP3 p1 qlen and p2 qlen .
> Default is 1024.
> Usage
> Use this command to configure the queue length threshold for raising the congestion priority to level 3.
> Example
> mtp3-p3-qlen 1024
> mtp3-test-pattern
> Configures the character string for the test message.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> mtp3-test-pattern pattern
> default mtp3-test-pattern
> default
> Resets the pattern to the default value.
> pattern
> pattern: 1 to 15 alphanumeric characters.
> Default is SGSN-ORIGINATED.
> Usage
> Use this command to define a test pattern string for the signalling link test match (SLTM).
> Example
> mtp3-test-pattern TEST1-HomeOffice
> priority
> Configures the MTP3 Link Priority.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> priority pri_value
> no priority
> no
> Removes the priority configuration.
> pri_value
> pri_value: 0 represents highest priority and 15 represents the lowest priority.
> Usage
> Use this command to configure the link priority within the MTP3 link set.
> Example
> priority 2
> signaling-link-code
> Configures the signaling link code (SLC).
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> signaling-link-code code
> no signaling-link-code
> no
> Removes the SLC configuration.
> code
> code: integer from 0 to 15.
> Usage
> Use this command to uniquely identify the signaling link to be used for MTP3 management messages.
> Example
> signaling-link-code 4
> sscf-nni-n1
> Configures the SSCF NNI N1.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> sscf-nni-n1 value
> no sscf-nni-n1
> default
> Removes the sscf-nni-n1 configuration.
> value
> value: integer from 1 to 65535.
> Default is 1000.
> Usage
> Use this command to identify the network-to-node interface (NNI) between the MTP3 and SSCOP layers.
> Example
> sscf-nni-n1 4064
> sscop-max-cc
> Configure the maximum value for the SSCOP connection control (CC) state variable.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> sscop-max-cc value
> no sscop-max-cc
> default
> Removes the sscop-max-cc configuration.
> value
> value: integer from 1 to 65535.
> Default is 4.
> Usage
> Use this command as part of the configuration responsible for managing the SSCOP connection. This command sets the number of times retries.
> Example
> sscop-max-cc 256
> sscop-max-pd
> Configures the maximum acceptable value for the SSCOP state variable VT(PD).
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> sscop-max-pd value
> no sscop-max-pd
> default
> Removes the sscop-max-pd configuration.
> value
> value: integer from 1 to 65535.
> Default is 500.
> Usage
> Use this command to define the maximum number of data PDUs transmitted between POLL PDUs.
> Example
> sscop-max-pd 2500
> sscop-max-stat
> Configures the maximum number of elements included in a status PDU.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> sscop-max-stat value
> no sscop-max-stat
> default
> Removes the sscop-max-stat configuration.
> value
> value: integer from 3 to 65535. This parameter should be an odd integer greater than or equal to 3.
> Default is 67.
> Usage
> Received in response to a POLL PDU, the STAT PDU includes information about the number of SD PDUs that have been received.
> Example
> sscop-max-stat 56000
> timeout
> This command enables configuration of an array of signaling and flow control timers - for MTP, SSCF, and SSCOP.
> Product
> SGSN
> Privilege
> Security Administrator, Administrator
> Syntax
> timeout timer
> no timeout timer
> no
> Adding no to the timeout command removes the timer configuration.
> timer
> Repeat the command as needed to configure all required timers.

> • | mtp3-tmr-t1 - mtp3 t1 timer, default value is 500ms

> • | mtp3-tmr-t12 - mtp3 t12 timer, default value is 800ms

> • | mtp3-tmr-t13 - mtp3 t13 timer, default value is 800ms

> • | mtp3-tmr-t14 - mtp3 t14 timer, default value is 2000ms

> • | mtp3-tmr-t17 - mtp3 t17 timer, default value is 800ms

> • | mtp3-tmr-t2 - mtp3 t2 timer, default value is 700ms

> • | mtp3-tmr-t22 - mtp3 t22 timer, default value is 180s

> • | mtp3-tmr-t23 - mtp3 t23 timer, default value is 180s

> • | mtp3-tmr-t24 - mtp3 t24 timer, default value is 500ms

> • | mtp3-tmr-t3 - mtp3 t3 timer, default value is 500ms

> • | mtp3-tmr-t31 - mtp3 t31 timer, default value is 5s

> • | mtp3-tmr-t32 - mtp3 t32 timer, default value is 10s

> • | mtp3-tmr-t33 - mtp3 t33 timer, default value is 20s

> • | mtp3-tmr-t34 - mtp3 t34 timer, default value is 60s

> • | mtp3-tmr-t4 - mtp3 t4 timer, default value is 500ms

> • | mtp3-tmr-t5 - mtp3 t5 timer, default value is 500ms

> • | mtp3-tmr-t7 - mtp3 t7 timer, default value is 1000ms

> • | sscf-nni-tmr-t1 - sscf nni t1 timer. default value is 5s

> • | sscf-nni-tmr-t2 - sscf nni t2 timer. default value is 30s

> • | sscf-nni-tmr-t3 - sscf nni t2 timer. default value is 10ms

> • | sscop-tmr-cc - sscop cc timer. default value is 200ms

> • | sscop-tmr-idle - sscop idle timer (UNI 3.1 only). default value is 100ms

> • | sscop-tmr-keep-alive - sscop keep alive timer. default value is 100ms. For stability purposes, tmrKeepAlive >= tmrPoll and tmrKeepAlive < tmrNoResponse

> • | sscop-tmr-no-rsp - sscop no response timer. default value is 1.5s. For stability purposes, tmrNoResponse > tmrKeepAlive

> • | sscop-tmr-poll - sscop poll timer. default value is 100ms. For stability purposes, tmrPoll <= tmrKeepAlive

Cisco Systems Inc.
Tel: 408-526-4000
Fax: 408-527-0883